get
https://api.sandbox.insidetracker.com/report-hub/customer/v2/report//file//access-token
Generates short living token to access report file without authentication.
Token is valid for 5 minutes and can be used to download report file.
User should have proper access scope to get access token for report with specified type.
- If user has 'reports:r' or 'basic' scope (legacy) - all report types are available.
- If user has specific scope for report type - only reports with that type are available.
Report types and required scopes:
| Report Type | Required Scope |
|---|---|
| HHR | reports.hhr:r |
| DNA | reports.dna:r |
| BLOOD | reports.blood:r |
To download report file use
/report-hub/public/v2/reports/file/{tokenId}/download and
/report-hub/public/v2/reports/file/{tokenId}/view
endpoints with returned token as tokenId in path variable.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
400Bad Request
401Unauthorized
403Forbidden
404Not Found